KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFileMetaInfoItem Class Reference

`from PyKDE4.kio import *`

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, KFileMetaInfoItem item)
| __init__ (self, PredicateProperties p, QVariant v, KFileWritePlugin w, bool e)
| __init__ (self, QString p, QVariant v, KFileWritePlugin w, bool e)
bool | addValue (self, QVariant a0)
bool | isEditable (self)
bool | isModified (self)
bool | isRemoved (self)
bool | isSkipped (self)
bool | isValid (self)
QString | name (self)
QString | prefix (self)
PredicateProperties | properties (self)
bool | setValue (self, QVariant value)
QString | suffix (self)
QVariant | value (self)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor

__init__ | ( | self, |
|  | KFileMetaInfoItem | item
| ) |  |  |

Copy constructor

__init__ | ( | self, |
|  | PredicateProperties | p,
|  | QVariant | v,
|  | KFileWritePlugin | w,
|  | bool | e
| ) |  |  |

__init__ | ( | self, |
|  | QString | p,
|  | QVariant | v,
|  | KFileWritePlugin | w,
|  | bool | e
| ) |  |  |

bool addValue | ( | self, |
|  | QVariant | a0
| ) |  |  |

Append a value to the properties in this file.

bool isEditable | ( |  | self ) |

Can this item be edited.

bool isModified | ( |  | self ) |

Can this item be removed.

bool isRemoved | ( |  | self ) |

Has this value been removed, e.g with setValue(QVariant())

bool isSkipped | ( |  | self ) |

Has this value been skipped by analyzer due to performance or other considerations.

bool isValid | ( |  | self ) |

Is this a valid item.

QString name | ( |  | self ) |

Localized name of the predicate.

QString prefix | ( |  | self ) |

This method returns a translated prefix to be displayed before the value.

Returns:
  the prefix

PredicateProperties properties | ( |  | self ) |

Retrieve the properties of this field type.

Deprecated:

bool setValue | ( | self, |
|  | QVariant | value
| ) |  |  |

Set the value of this field.

QString suffix | ( |  | self ) |

This method returns a translated suffix to be displayed after the value. Think of the kbps in 128kbps

Returns:
  the suffix

QVariant value | ( |  | self ) |

Retrieve the current value of this item